package com.lzmispt.data.resource.service.collectiontool;

package .tmp;

import com.lzmispt.core.entity.dto.listdeletemodel.ListDeleteModelDTO;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.DataBrowseQueryDTO;
import com.lzmispt.data.resource.entity.dto.collectiontool.AddExcelTemplateDTO;
import com.lzmispt.data.resource.entity.dto.collectiontool.ExcelTemplateDTO;
import com.lzmispt.data.resource.entity.dto.collectiontool.SaveExcelSheetParamDTO;
import com.lzmispt.data.resource.entity.po.collectiontool.ExcelSheetPO;
import com.lzmispt.data.resource.entity.po.collectiontool.ExcelTemplatePO;
import com.lzmispt.data.resource.entity.vo.collectiontool.ExcelDetailsVO;
import com.lzmispt.data.resource.entity.vo.collectiontool.ExcelSheetVO;
import com.lzmispt.data.resource.entity.vo.collectiontool.ExcelTemplateVO;
import com.lzmispt.data.resource.service.collectiontool.impl.ExcelImportContext;
import com.lzmispt.framework.entity.dto.excel.ExcelSheetConfigDTO;
import com.lzmispt.framework.entity.entity.ResultEntity;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

public interface IExcelCollection {
  ResultEntity<List<ExcelTemplateVO>> getCollectionTemplates(DCQueryModelDTO paramDCQueryModelDTO);
  
  ResultEntity<String> checkTemplate(Long paramLong, String paramString1, String paramString2, Map paramMap, Boolean paramBoolean, Integer paramInteger);
  
  ResultEntity<String> checkTemplateByDirectoryId(Long paramLong, String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<Boolean> addTemplate(AddExcelTemplateDTO paramAddExcelTemplateDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> updateTemplate(ExcelTemplateDTO paramExcelTemplateDTO, String paramString1, String paramString2);
  
  ResultEntity<Map> deleteExcelTemplate(ListDeleteModelDTO paramListDeleteModelDTO, String paramString1, String paramString2);
  
  ResultEntity<Boolean> saveExcelSheets(SaveExcelSheetParamDTO paramSaveExcelSheetParamDTO, String paramString, Integer paramInteger);
  
  ResultEntity<List<ExcelDetailsVO>> getExcelDetailList(DCQueryModelDTO paramDCQueryModelDTO);
  
  ResultEntity<List<ExcelSheetVO>> getExcelSheetList(DCQueryModelDTO paramDCQueryModelDTO);
  
  ResultEntity<Boolean> deleteExcelDetails(ListDeleteModelDTO paramListDeleteModelDTO, String paramString);
  
  ResultEntity<Boolean> deleteExcelSheets(List<Long> paramList, String paramString);
  
  ResultEntity<String> downLoadExcelTemplate(HttpServletResponse paramHttpServletResponse, Long paramLong, String paramString1, String paramString2, Map paramMap, Boolean paramBoolean, Integer paramInteger);
  
  ResultEntity<String> downLoadExcelTemplateByDirectoryId(HttpServletResponse paramHttpServletResponse, Long paramLong, String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity importExcelByDirectoryId(HttpServletResponse paramHttpServletResponse, MultipartFile paramMultipartFile, Long paramLong, String paramString1, String paramString2, Integer paramInteger);
  
  ResultEntity<String> downLoadDetails(HttpServletResponse paramHttpServletResponse, Long paramLong, String paramString1, String paramString2);
  
  XSSFWorkbook getExcelTemplate(Long paramLong, String paramString1, String paramString2, ExcelTemplatePO paramExcelTemplatePO, List<ExcelSheetPO> paramList, Integer paramInteger) throws Exception;
  
  List<ExcelSheetConfigDTO> getExcelSheetConfig(List<ExcelSheetPO> paramList, String paramString1, String paramString2, Integer paramInteger, ExcelImportContext paramExcelImportContext);
  
  List<ExcelSheetConfigDTO> getExcelSheetConfig(List<ExcelSheetPO> paramList, String paramString1, String paramString2, Integer paramInteger, boolean paramBoolean);
  
  ResultEntity<Integer> getExcelTemplateMaxOrder(Integer paramInteger);
  
  ResultEntity<Boolean> isSameTemplateName(String paramString1, Long paramLong, String paramString2, String paramString3);
  
  List<ExcelTemplateVO> getExcelTemplatesByEntityId(Long paramLong, String paramString);
  
  ResultEntity<Boolean> checkDataSourceApplyExcelSheets(Long paramLong);
  
  ResultEntity<String> exportToExcelByDirId(DataBrowseQueryDTO paramDataBrowseQueryDTO, HttpServletResponse paramHttpServletResponse, Long paramLong, String paramString1, String paramString2, Map paramMap, Integer paramInteger);
}
